GET /public/customers/rewards, requires the read:rewards scope) and in the customer_rewards array of Get redeemable rewards. A new one is created when you redeem a reward.
Properties
string<uuid>
Unique identifier for the customer reward.
string<uuid>
Yuko’s internal UUID for the customer the reward was issued to. This is not the Shopify customer ID you pass as the
customer_id parameter.string<uuid> | null
The UUID of the record that issued the reward, such as the reward in your catalogue (see Retrieve a reward).
string | null
The type of discount issued, for example
fixed, percentage, free_shipping, free_product, pos_fixed or pos_percentage. For rewards redeemed with points, this is the catalogue reward’s reward_type. null when no type was recorded for the reward. Store credit redemptions don’t create a customer reward.enum<string>
The current status of the reward. You can filter by this value with the
status query parameter. One of active, used, inactive, expired, deleted, revert.string | null
The discount code the customer applies at checkout.
integer
The number of points spent to get this reward.
0 for rewards that weren’t bought with points.string<date-time> | null
When the reward expires (ISO 8601), or
null if it doesn’t expire.string<date-time> | null
When the reward was used on an order (ISO 8601), or
null if it hasn’t been used.string<date-time>
When the reward was issued (ISO 8601).